summaryrefslogtreecommitdiffstats
path: root/tools/mkhdlist
diff options
context:
space:
mode:
Diffstat (limited to 'tools/mkhdlist')
-rwxr-xr-xtools/mkhdlist16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/mkhdlist b/tools/mkhdlist
new file mode 100755
index 000000000..6ef783ca1
--- /dev/null
+++ b/tools/mkhdlist
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Regenerate hdlist, root_directory should be the binary
+# root_directory where you find generally this structure :
+#
+# COPYING Mandrake/ RPM-GPG-KEYS VERSION dosutils/ images/ lnx4win/
+# misc/
+
+if [ -z "$1" ];then
+ echo "Usage: $(basename $0) /path/to/root_directory/"
+ exit 1
+fi
+
+cd $1
+rm -rf /tmp/.build_hdlist/
+./misc/genhdlist_cz2 --noclean --distrib .
+./misc/gendepslist2 -o Mandrake/base/depslist Mandrake/base/hdlist.cz2